<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwhd__spi__config" kind="struct" language="C++" prot="public">
    <compoundname>whd_spi_config</compoundname>
    <includes local="no">whd_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwhd__spi__config_1a65649e24a48dbfcf74a6e3b0ea729181" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="whd__types_8h_1a7cd94a03f2e7e6aab7217ed559c7a0ac">whd_bool_t</ref></type>
        <definition>whd_bool_t is_spi_normal_mode</definition>
        <argsstring />
        <name>is_spi_normal_mode</name>
        <briefdescription>
<para>Default is false. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="971" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="971" />
      </memberdef>
      <memberdef id="structwhd__spi__config_1a5fa87ee1769d21a2bf8a871ab7f4d1bb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="whd__types_8h_1ac07b13dcb5ec0e66a707dcf8a539c97e">whd_oob_config_t</ref></type>
        <definition>whd_oob_config_t oob_config</definition>
        <argsstring />
        <name>oob_config</name>
        <briefdescription>
<para>Out-of-band interrupt configuration. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="972" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="972" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure for SPI config parameters which can be set by application during whd power up. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="57">
        <label>whd_spi_config</label>
        <link refid="structwhd__spi__config" />
        <childnode refid="58" relation="usage">
          <edgelabel>oob_config</edgelabel>
        </childnode>
      </node>
      <node id="58">
        <label>whd_oob_config</label>
        <link refid="structwhd__oob__config" />
      </node>
    </collaborationgraph>
    <location bodyend="973" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" bodystart="968" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_types.h" line="969" />
    <listofallmembers>
      <member prot="public" refid="structwhd__spi__config_1a65649e24a48dbfcf74a6e3b0ea729181" virt="non-virtual"><scope>whd_spi_config</scope><name>is_spi_normal_mode</name></member>
      <member prot="public" refid="structwhd__spi__config_1a5fa87ee1769d21a2bf8a871ab7f4d1bb" virt="non-virtual"><scope>whd_spi_config</scope><name>oob_config</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>